# $Revision: 1.5 $, $Date: 2012/01/15 23:07:15 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Digest
%define	pnam	Skein
Summary:	Digest::Skein - Perl interface to the Skein digest algorithm
#Summary(pl.UTF-8):
Name:		perl-Digest-Skein
Version:	0.05
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cb7ff5208a078e5e504715e6486a06d5
URL:		http://search.cpan.org/dist/Digest-Skein/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl(Digest)
BuildRequires:	perl(MIME::Base64)
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Skein implements the Skein digest algorithm, submitted to NIST
for the SHA-3 competition.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Digest/*.pm
%dir %{perl_vendorarch}/auto/Digest/Skein
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Skein/*.so
%{perl_vendorarch}/auto/Digest/Skein/Skein.bs
%{_mandir}/man3/*
#it should go to static subpackage, shouldn't it?
#%{perl_vendorarch}/auto/libskein/libskein.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-Skein.spec,v $
Revision 1.5  2012/01/15 23:07:15  zbyniu
- up to 0.05

Revision 1.4  2010/06/06 08:35:40  arekm
- release 2

Revision 1.3  2009/11/20 07:44:18  amateja
- updated to 0.04

Revision 1.2  2008/12/05 17:39:29  radek
- version 0.03

Revision 1.1  2008/11/16 18:55:02  radek
- new
